@(vmForm: Form[VM])

@import helper._

@implicitFieldConstructor = @{ FieldConstructor(twitterBootstrapInput.render) }

@title = {
    Add a Virtual Machine
}

@pageTitle = {
    Add a Virtual Machine
}

@main(title, pageTitle){
    @form(routes.VMController.save()) {

        <fieldset>
            @inputText(vmForm("name"),      '_label -> "VM Name")
            @inputText(vmForm("cores"),     '_label -> "# of Cores")
            @inputText(vmForm("memory"),    '_label -> "Memory (GB)")
            @inputText(vmForm("hdd"),       '_label -> "HDD Size (GB)")
            @inputText(vmForm("bandwidth"), '_label -> "Bandwidth (Mbps)")
        </fieldset>

        <div class="actions">
            <input type="submit" value="Create this VM" class="btn btn-primary"> or
            <a class="btn btn-inverse" id="addVM" href="@routes.VMController.list()">Cancel</a>
        </div>
    }
}